﻿#language: ru

@cheese_maker

Функционал: 07_cheeseMaker.02.002 Наборка ингредиентов по рецептуре под варку сыра

Сценарий: 07_cheeseMaker.02.002 Наборка ингредиентов по рецептуре под варку сыра первая варка
	Дано Я переключаюсь на открытый клиент "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Меню учетных точек'
	Тогда открылось окно '[Мастер сырцеха]: Меню учетных точек'
	И в поле с именем 'Дата' я ввожу текст '12.03.2019'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Мастер сырцеха]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Мастер сырцеха]: Меню учетных точек'
	И я нажимаю на кнопку 'Наборка'
	Тогда открылось окно 'Наборка *: Работа с заданиями'
	И в таблице "Задания" я перехожу к строке:
		| 'Номенклатура'                         |
		| 'Сливочный 45% / Варка / 12.03.2019/1' |
	И в таблице "Задания" я активизирую поле "Номенклатура"
	И я нажимаю на кнопку 'Наборка'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Наборка по рецептуре'
	И пауза 1
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'                     | 'Пакет' | 'Рецептура' |
		| 'Ароматизатор Масло 16256 (масло)' | '1'     | '0,500'     |
	И пауза 1
	И я нажимаю на кнопку '12 до 01.01.0001 0:00:00'
	Тогда открылось окно 'Подбор серий по остаткам'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Наборка по рецептуре'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Печать документа'
	И     табличный документ "ТекущаяПечатнаяФорма" равен по шаблону:
		| 'Задание №0000-000001 от 12.03.2019 12:00:00' |
		| 'Сливочный 45% / Варка / 12.03.2019/1\n '     |
		| ''                                            |
		| 'Ароматизатор Масло 16256 (масло)'            |
		| ''                                            |
		| ''                                            |
		| ''                                            |
		| ''                                            |
		| ''                                            |
		| ''                                            |
		| 'Пакет 1 из 2'                                |
		| '* / Мастер сырцеха'        			|
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Наборка по рецептуре'
	И пауза 1
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'         | 'Пакет' | 'Рецептура' |
		| 'Закваска Ceska L 100' | '2'     | '0,360'     |
	И пауза 1
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Наборка по рецептуре'
	И пауза 1
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'                  | 'Пакет' | 'Рецептура' |
		| 'Краситель Бета-каротин FS 30%' | '2'     | '1,000'     |
	И пауза 1
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Печать документа'
	И     табличный документ "ТекущаяПечатнаяФорма" равен по шаблону:
		| 'Задание №0000-000001 от 12.03.2019 12:00:00'         |
		| 'Сливочный 45% / Варка / 12.03.2019/1\n '             |
		| ''                                                    |
		| 'Закваска Ceska L 100, Краситель Бета-каротин FS 30%' |
		| ''                                                    |
		| ''                                                    |
		| ''                                                    |
		| ''                                                    |
		| ''                                                    |
		| ''                                                    |
		| 'Пакет 2 из 2'                                        |
		| '* / Мастер сырцеха'                			|
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Наборка по рецептуре'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Работа с заданиями'
	И Я закрываю окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Работа с заданиями'
	Тогда открылось окно '[Мастер сырцеха]: Меню учетных точек'
	И Я закрываю окно '[Мастер сырцеха]: Меню учетных точек'

Сценарий: 07_cheeseMaker.02.002 Наборка ингредиентов по рецептуре под варку сыра вторая варка
	И В командном интерфейсе я выбираю 'Производство' 'Меню учетных точек'
	Тогда открылось окно '[Мастер сырцеха]: Меню учетных точек'
	И в поле с именем 'Дата' я ввожу текст '12.03.2019'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Мастер сырцеха]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Мастер сырцеха]: Меню учетных точек'
	И я нажимаю на кнопку 'Наборка'
	Тогда открылось окно 'Наборка *: Работа с заданиями'
	И в таблице "Задания" я перехожу к строке:
		| 'Номенклатура'                          |
		| 'Российский 50% / Варка / 12.03.2019/2' |
	И в таблице "Задания" я активизирую поле "Номенклатура"
	И я нажимаю на кнопку 'Наборка'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Наборка по рецептуре'
	И пауза 1
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'                     			  | 'Пакет' | 'Рецептура' |
		| 'БАКТЕРИАЛЬНЫЙ КОНЦЕНТРАТ БК-УГЛИЧ-№4 производственная' | ''      | '0,500'     |
	И пауза 1
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Печать документа'
	И     табличный документ "ТекущаяПечатнаяФорма" равен по шаблону:
		| 'Задание №0000-000001 от 12.03.2019 12:00:00' 		|
		| 'Российский 50% / Варка / 12.03.2019/2\n ' 		        |
		| ''                                            		|
		| 'БАКТЕРИАЛЬНЫЙ КОНЦЕНТРАТ БК-УГЛИЧ-№4 производственная'       |
		| ''                                            		|
		| ''                                           			|
		| ''                                            		|
		| ''                                            		|
		| ''                                            		|
		| ''                                            		|
		| ''		                                		|
		| '* / Мастер сырцеха'        					|
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Наборка по рецептуре'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Работа с заданиями'
	И Я закрываю окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Работа с заданиями'
	Тогда открылось окно '[Мастер сырцеха]: Меню учетных точек'
	И Я закрываю окно '[Мастер сырцеха]: Меню учетных точек'

Сценарий: 07_cheeseMaker.02.002 Наборка ингредиентов по рецептуре под варку сыра третья варка
	И В командном интерфейсе я выбираю 'Производство' 'Меню учетных точек'
	Тогда открылось окно '[Мастер сырцеха]: Меню учетных точек'
	И в поле с именем 'Дата' я ввожу текст '12.03.2019'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Мастер сырцеха]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Мастер сырцеха]: Меню учетных точек'
	И я нажимаю на кнопку 'Наборка'
	Тогда открылось окно 'Наборка *: Работа с заданиями'
	И в таблице "Задания" я перехожу к строке:
		| 'Номенклатура'                         |
		| 'Сливочный 45% / Варка / 12.03.2019/3' |
	И в таблице "Задания" я активизирую поле "Номенклатура"
	И я нажимаю на кнопку 'Наборка'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Наборка по рецептуре'
	И пауза 1
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'                     | 'Пакет' | 'Рецептура' |
		| 'Ароматизатор Масло 16256 (масло)' | '1'     | '0,500'     |
	И пауза 1
	И я нажимаю на кнопку '12 до 01.01.0001 0:00:00'
	Тогда открылось окно 'Подбор серий по остаткам'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Наборка по рецептуре'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Печать документа'
	И     табличный документ "ТекущаяПечатнаяФорма" равен по шаблону:
		| 'Задание №0000-000001 от 12.03.2019 12:00:00' |
		| 'Сливочный 45% / Варка / 12.03.2019/3\n '     |
		| ''                                            |
		| 'Ароматизатор Масло 16256 (масло)'            |
		| ''                                            |
		| ''                                            |
		| ''                                            |
		| ''                                            |
		| ''                                            |
		| ''                                            |
		| 'Пакет 1 из 2'                                |
		| '* / Мастер сырцеха'        			|
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Наборка по рецептуре'
	И пауза 1
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'         | 'Пакет' | 'Рецептура' |
		| 'Закваска Ceska L 100' | '2'     | '0,360'     |
	И пауза 1
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Наборка по рецептуре'
	И пауза 1
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'                  | 'Пакет' | 'Рецептура' |
		| 'Краситель Бета-каротин FS 30%' | '2'     | '1,000'     |
	И пауза 1
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Печать документа'
	И     табличный документ "ТекущаяПечатнаяФорма" равен по шаблону:
		| 'Задание №0000-000001 от 12.03.2019 12:00:00'         |
		| 'Сливочный 45% / Варка / 12.03.2019/3\n '             |
		| ''                                                    |
		| 'Закваска Ceska L 100, Краситель Бета-каротин FS 30%' |
		| ''                                                    |
		| ''                                                    |
		| ''                                                    |
		| ''                                                    |
		| ''                                                    |
		| ''                                                    |
		| 'Пакет 2 из 2'                                        |
		| '* / Мастер сырцеха'                			|
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Наборка по рецептуре'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Работа с заданиями'
	И Я закрываю окно 'Наборка (12.03.19 Смена24) [Мастер сырцеха]: Работа с заданиями'
	Тогда открылось окно '[Мастер сырцеха]: Меню учетных точек'
	И Я закрываю окно '[Мастер сырцеха]: Меню учетных точек'